## python-oslo.log 5.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.21.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0
pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
python-dateutil>=2.7.0 # BSD

=== debian/changelog ===
python-oslo.log (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-eventlet as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 15:31:04 +0200

python-oslo.log (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:49:03 +0200

python-oslo.log (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:18:55 +0200

python-oslo.log (4.7.0-3) unstable; urgency=medium

  * autopkgtest: blacklist failing unit tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Apr 2022 14:29:02 +0200

python-oslo.log (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 16:00:34 +0100

python-oslo.log (4.7.0-1) experimental; urgency=medium

  * Blacklist ContextFormatterTestCase.test_user_identity_logging and
    ContextFormatterTestCase.test_user_identity_logging_set_format which are
    failing when backported to Bullseye.
  * New upstream release.
  * Blacklist and test_emit() test_emit_exception(), as the "actual" data is
    not matching the real output anymore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 16:25:57 +0100

python-oslo.log (4.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:43:38 +0100

python-oslo.log (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:38:25 +0200

python-oslo.log (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
 
 -- papamica <mickael@papamica.com>  Mon, 23 Aug 2021 08:38:12 -0500

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet (>= 0.30.1),
 python3-fixtures,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyinotify,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.log
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.log.git
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil,
 python3-debtcollector,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pyinotify,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.log.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging_set_format.*|.*test_log\.OSJournalHandlerTestCase\.test_emit.*|.*test_log\.OSJournalHandlerTestCase\.test_emit_exception.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.log-doc/usr/share/doc/python-oslo.log-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-oslo.log 5.2.0

=== debian/changelog ===
python-oslo.log (5.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047472).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 12:21:42 +0200

python-oslo.log (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_log.LogConfigTestCase.test_log_config_append_invalid.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:28:42 +0200

python-oslo.log (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed eventlet from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 09:49:18 +0100

python-oslo.log (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:45:47 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-coverage,
  python3-dateutil,
  python3-debtcollector,
- python3-eventlet (>= 0.30.1),
  python3-fixtures,
  python3-mock,
  python3-openstackdocstheme,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -19,7 +21,7 @@
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging_set_format.*|.*test_log\.OSJournalHandlerTestCase\.test_emit.*|.*test_log\.OSJournalHandlerTestCase\.test_emit_exception.*))'
+	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging_set_format.*|.*test_log\.OSJournalHandlerTestCase\.test_emit.*|.*test_log\.OSJournalHandlerTestCase\.test_emit_exception.*|.*test_log\.LogConfigTestCase\.test_log_config_append_invalid.*))'
 endif
 
 override_dh_sphinxdoc:

## python-oslo.log 5.3.0

=== debian/changelog ===
python-oslo.log (5.3.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Sep 2023 05:10:32 +0000

python-oslo.log (5.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:43:47 -0400

python-oslo.log (5.2.0-0ubuntu2) mantic; urgency=medium

  * d/p/catch-runtime-error.patch: Cherry-picked from upstream to
    catch RuntimeError when loading log config file.
  * d/p/skip-py3114-failure.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 15:53:39 -0400

python-oslo.log (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/p/skip-py3114-failure.patch: Skip until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:03:52 -0400

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-coverage (>= 4.5.1),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-funcsigs,
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 1.4),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pyinotify (>= 0.9.6),
 python3-six (>= 1.11.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testtools (>= 2.3.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.log
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.log
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-eventlet (>= 0.30.1),
 python3-monotonic (>= 1.4),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 python3-pyinotify (>= 0.9.6),
 python3-six (>= 1.11.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_log

UPSTREAM_GIT := https://github.com/openstack/oslo.log.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.log-doc/usr/share/doc/python-oslo.log-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.log/ oslo.log-(\d.*)\.tar\.gz

## python-oslo.log 5.4.0

=== debian/changelog ===
python-oslo.log (5.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal. 
  * d/p/*: Drop, all included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:40:31 +0000

## python-oslo.log 5.5.1

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
 pbr>=3.1.1 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.21.0 # Apache-2.0

=== debian/changelog ===
python-oslo.log (5.5.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 11:38:44 +0100

python-oslo.log (5.5.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:21:55 +0000

=== debian/tests/control ===
Tests: python-import
Depends: @, @builddeps@, python3-os-testr
Restrictions: allow-stderr

## python-oslo.log 6.1.2

=== debian/changelog ===
python-oslo.log (6.1.2-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090570).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:51:25 +0100

python-oslo.log (6.1.2-3) unstable; urgency=medium

  * Add Add_missing_contextmanager_interfaces_to_PipeMutex.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Nov 2024 09:05:19 +0100

python-oslo.log (6.1.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:53:28 +0200

python-oslo.log (6.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 16:43:12 +0200

python-oslo.log (5.5.1-2) unstable; urgency=medium

  * Drop the obsolete python3-mock dependency (Closes: #1070212).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 08:25:39 +0200

python-oslo.log (5.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 10:17:56 +0200

python-oslo.log (5.5.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:35:23 +0200

python-oslo.log (5.5.0-2) experimental; urgency=medium

  * Removed obsolete dependency on python3-six (Closes: #1064631).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 00:24:23 +0100

python-oslo.log (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:47:47 +0100

python-oslo.log (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 12:24:30 +0100

python-oslo.log (5.3.0-3) unstable; urgency=medium

  * Added python3-pyasyncore as (build-)depends (Closes: #1058117).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 22:00:18 +0100

python-oslo.log (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:28:49 +0200

python-oslo.log (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-eventlet as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:46:47 +0200

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-dateutil,
 python3-eventlet,
 python3-fixtures,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyasyncore,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.log
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.log.git
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pyasyncore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=oslo_log
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.log.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -9,7 +7,9 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -21,7 +21,7 @@
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*))'
+	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging_set_format.*|.*test_log\.OSJournalHandlerTestCase\.test_emit.*|.*test_log\.OSJournalHandlerTestCase\.test_emit_exception.*|.*test_log\.LogConfigTestCase\.test_log_config_append_invalid.*))'
 endif
 
 override_dh_sphinxdoc:

## python-oslo.log 7.0.0

=== debian/changelog ===
python-oslo.log (7.0.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 13:30:19 +0000

python-oslo.log (6.1.2-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream point release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:03:50 +0100

python-oslo.log (6.1.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/{control,tests}/*: Test with all supported Pythons.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:20:59 +0100

## python-oslo.log 7.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.21.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
python-dateutil>=2.7.0 # BSD
debtcollector>=3.0.0 # Apache-2.0

=== debian/changelog ===
python-oslo.log (7.1.0-4) unstable; urgency=medium

  * Blacklist 2 failing unit tests (Closes: #1106441):
    - LogRateLimitTestCase.test_rate_limit
    - LogRateLimitTestCase.test_rate_limit_except_level

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 May 2025 08:23:58 +0200

python-oslo.log (7.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:22:06 +0100

python-oslo.log (7.1.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:13:08 +0100

python-oslo.log (7.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed Add_missing_contextmanager_interfaces_to_PipeMutex.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 15:37:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging_set_format.*|.*test_log\.OSJournalHandlerTestCase\.test_emit.*|.*test_log\.OSJournalHandlerTestCase\.test_emit_exception.*|.*test_log\.LogConfigTestCase\.test_log_config_append_invalid.*))'
+	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging.*|.*test_log\.ContextFormatterTestCase\.test_user_identity_logging_set_format.*|.*test_log\.OSJournalHandlerTestCase\.test_emit.*|.*test_log\.OSJournalHandlerTestCase\.test_emit_exception.*|.*test_log\.LogConfigTestCase\.test_log_config_append_invalid.*|test_rate_limit\.LogRateLimitTestCase\.test_rate_limit|test_rate_limit\.LogRateLimitTestCase\.test_rate_limit_except_level))'
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.log refs/tags/(\d[brc\d\.]+)

## python-oslo.log 7.2.0

=== debian/changelog ===
python-oslo.log (7.2.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 15:35:05 -0700

python-oslo.log (7.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:50:55 +0000

## python-oslo.log 7.2.1

=== debian/changelog ===
python-oslo.log (7.2.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 15:38:34 -0700

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 2.5.0),
 python3-eventlet (>= 0.35.2),
 python3-fixtures (>= 3.0.0),
 python3-funcsigs,
 python3-monotonic (>= 1.4),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.3.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testtools (>= 2.3.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.log
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.log
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 2.5.0),
 python3-eventlet (>= 0.30.1),
 python3-monotonic (>= 1.4),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.log/ oslo.log-(\d.*)\.tar\.gz

## python-oslo.log 8.0.0

=== debian/changelog ===
python-oslo.log (8.0.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 8.0.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 09:09:27 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.log/ oslo[._]log-(\d.*)\.tar\.gz

## python-oslo.log 8.1.0

=== debian/changelog ===
python-oslo.log (8.1.0-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 10:43:02 +0100

python-oslo.log (8.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 08:24:22 +0100

python-oslo.log (7.2.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1047472).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 17:56:49 +0100

python-oslo.log (7.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 20:48:43 +0200

python-oslo.log (7.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Add_missing_contextmanager_interfaces_to_PipeMutex.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:09:43 +0200
